$("#LinparForm").hide();
$("#BTSalvar").hide();
$("#BTAtualizar").show();
$("#BTDadosPessoais").show();
$("#RealizarMatricula").show();
$("#AtendimentosPendentesUsuario").show();
$('#BTAtualizar').click(function () {
    if (ValidarFormulario()) {
        if (valida_cpf_cnpj($("#CPF").val()) == false) {
            $("#Title").html("ATENÇÃO:");
            $("#Info").html("O CPF informado não é valido certifique que esteja inserindo os dados corretamente solicite ao usuário seu documento original.");
            $("#descError").html("");
            $("#Erro").show();
            $("#CPF").val("");
        } else {
            var URL = 'Funcoes.php?Function=67&Usuario='
                    + $("#Nusu").val() + "&Perfil="
                    + $("#Perfil").val() + "&email="
                    + $("#email").val() + "&CPF="
                    + $("#CPF").val() + "&DTNasc="
                    + $("#DTNasc").val() + "&Curso="
                    + $("#Curso").val() + "&ID_Setor="
                    + $("#ID_Setor").val() + "&ID="
                    + ID_Usuario;
            $.get(URL, function (resposta) {
                var Resp = JSON.parse(resposta);
                if (Resp.JSON != "OK") {
                    $("#Info").html("<b>ATENÇÃO:</b> Não foi possível atualizar as configurações do usuário, segue abaixo uma breve descrição do erro. Se o erro persistir entre em contato com o webmaster..<br><br>");
                    $("#descError").html("<b>" + Resp.JSON + "</b>");
                    $("#Erro").show();
                } else {
                    $("#Title").html("OK.:");
                    $("#Info").html("As configurações do usuário foram atualizadas com sucesso.");
                    $("#Erro").show();
                }
            });
        }
    } else {
        var Msg = "Alguns campos obrigatórios do formulário " +
                "estão em branco certifique de ter preenchidos" +
                " o formulário completamente:<br><br>" +
                "<b>Campos Obrigatórios:</b>" +
                "<ul>" +
                "   <li>Nome Usuário</li>" +
                "   <li>Perfil</li>" +
                "   <li>E-mail</li>" +
                "   <li>CPF</li>" +
                "   <li>Data Nascimento</li>" +
                "</ul>";
        ;
        $("#Title").html("ATENÇÃO:");
        $("#Info").html(Msg);
        $("#descError").html("");
        $("#Erro").show();
    }
});
$('#BTDadosPessoais').click(function () {
    document.getElementById("BTDadosPessoais").href = "Funcoes.php?Function=68&ID=" + ID_Usuario
});
$('#RealizarMatricula').click(function () {
    document.getElementById("RealizarMatricula").href = "Funcoes.php?Function=69&ID=" + ID_Usuario
});
$('#AtendimentosPendentesUsuario').click(function () {
    document.getElementById("AtendimentosPendentesUsuario").href = "Funcoes.php?Function=5&OP=10&ID=" + ID_Usuario
});
$('#pageAnt').click(function () {
    history.back()
});
$(function ($) {
    $("#DTNasc").mask("99/99/9999");
    $("#CPF").mask("999.999.999-99");
});
$('#CloseModal').click(function () {
    $("#Erro").hide();
    ForCadUser.DeclaracaoAceite.focus();
});

$('#BT_closeModal').click(function () {
    $("#Erro").hide();
    ForCadUser.DeclaracaoAceite.focus();
});

$("#CPF").blur(function () {
    var cpf_cnpj = $(this).val();
    if (cpf_cnpj !== "" && cpf_cnpj !== "000.000.000-00" && cpf_cnpj !== "111.111.111-11" && cpf_cnpj !== "222.222.222-22" && cpf_cnpj !== "333.333.333-33" && cpf_cnpj !== "444.444.444-44" && cpf_cnpj !== "555.555.555-55" && cpf_cnpj !== "666.666.666-66" && cpf_cnpj !== "777.777.777-77" && cpf_cnpj !== "888.888.888-88" && cpf_cnpj !== "999.999.999-99") {
        if (valida_cpf_cnpj(cpf_cnpj) == false) {
            $("#Title").html("ATENÇÃO:");
            $("#Info").html("O CPF informado não é valido certifique que esteja inserindo os dados corretamente solicite ao usuário seu documento original.");
            $("#descError").html("");
            $("#Erro").show();
            $("#CPF").val("");
        }
    } else {
        $("#Title").html("ATENÇÃO:");
        $("#Info").html("O CPF informado não é valido certifique que esteja inserindo os dados corretamente solicite ao usuário seu documento original.");
        $("#descError").html("");
        $("#Erro").show();
        $("#CPF").val("");
    }
});

$("#CPF").blur(function () {
    var cpf_cnpj = $(this).val();
    if (cpf_cnpj !== "" && cpf_cnpj !== "000.000.000-00" && cpf_cnpj !== "111.111.111-11" && cpf_cnpj !== "222.222.222-22" && cpf_cnpj !== "333.333.333-33" && cpf_cnpj !== "444.444.444-44" && cpf_cnpj !== "555.555.555-55" && cpf_cnpj !== "666.666.666-66" && cpf_cnpj !== "777.777.777-77" && cpf_cnpj !== "888.888.888-88" && cpf_cnpj !== "999.999.999-99") {
        if (valida_cpf_cnpj(cpf_cnpj) == false) {
            $("#Title").html("ATENÇÃO:");
            $("#Info").html("O CPF informado não é valido certifique que esteja inserindo os dados corretamente solicite ao usuário seu documento original.");
            $("#descError").html("");
            $("#Erro").show();
            $("#CPF").val("");
        }
    } else {
        $("#Title").html("ATENÇÃO:");
        $("#Info").html("O CPF informado não é valido certifique que esteja inserindo os dados corretamente solicite ao usuário seu documento original.");
        $("#descError").html("");
        $("#Erro").show();
        $("#CPF").val("");

    }
});

function ValidarFormulario() {
    if ($("#Nusu").val() !== "" && $("#Perfil").val() !== "" && $("#email").val() !== "" && $("#CPF").val() !== "" && $("#DTNasc").val() !== "") {
        return true;
    } else {
        return false;
    }
}